const loader = document.querySelector('.loading');
const countryName = document.getElementById('name')
const region = document.getElementById('region')
const subregion = document.getElementById('subregion')
const capital = document.getElementById('capital')
const flag = document.getElementById('flag')

const request = (config) => {
    const { method, path, success, error } = config;
    const xml = new XMLHttpRequest();
    xml.addEventListener('load', () => {
        if (xml.status < 200 || xml.status > 399) {
            error('bad response');
            return;
        }
        const result = JSON.parse(xml.responseText);
        success(result)
        console.log(result);
    });
    xml.addEventListener('error', () => {
        error('network error');
    })
    xml.addEventListener('timeout', () => {
        error('server response is late')
    })
    xml.open(method, path);
    xml.send();
}

const processResult = (result) => {
    console.log(result);
    countryName.innerText = result[0].name
    const flagImg = document.createElement('img');
    flagImg.setAttribute('src', `${result[0].flag}`);
    flagImg.style = 'width: 150px'
    flag.append(flagImg)
    capital.innerText = result[0].capital
    region.innerText = result[0].region
    subregion.innerText = result[0].subregion
    loader.style.display = 'none'
}

const errorHandler = () => {
    console.error(msg)
}

const config = {
    method: "GET",
    path: "https://restcountries.com/v2/name/kz",
    success: processResult,
    error: errorHandler
}

request(config)